%global namedreltag .Alpha2
%global namedversion %{version}%{?namedreltag}

Name:             jastow
Version:          1.0.0
Release:          0.1%{namedreltag}%{dist}
Summary:          Jasper fork
License:          ASL 2.0
Url:              https://github.com/undertow-io/jastow

# git clone git://github.com/undertow-io/jastow.git
# cd jastow/ && git archive --format=tar --prefix=jastow/ 1.0.0.Alpha1 | xz > jastow-1.0.0.Alpha2.tar.xz
Source0:          jastow-%{namedversion}.tar.xz

# implementing one missing method
Patch0:           Implement-ignoreOptionalProblems-method.patch

BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-servlet-3.0-api
BuildRequires:    jboss-jsp-2.2-api
BuildRequires:    xnio
BuildRequires:    eclipse-jdt
BuildRequires:    maven-local
BuildRequires:    maven-injection-plugin

BuildArch:        noarch
Requires:         jboss-logging
Requires:         jboss-logging-tools
Requires:         jboss-logmanager
Requires:         jboss-servlet-3.0-api
Requires:         jboss-jsp-2.2-api
Requires:         xnio
Requires:         eclipse-jdt


%description
The Jasper fork for Undertow.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jastow

%patch0 -p1

# Replacing the JDT implementation
%pom_remove_dep org.jboss.web:jasper-jdt
%pom_add_dep org.eclipse.jdt:core

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE README NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Mon Jun 03 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha2
- Initial packaging

